com.amazonaws.services.machinelearning.model

## Class DescribeMLModelsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.DescribeMLModelsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DescribeMLModelsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `DescribeMLModels` operation. The content is essentially a list of `MLModel`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescribeMLModelsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeMLModelsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` The ID of the next page in the paginated results that indicates at least one more page follows.
`List<MLModel>` `getResults()` A list of `MLModel` that meet the search criteria.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` The ID of the next page in the paginated results that indicates at least one more page follows.
`void` `setResults(Collection<MLModel> results)` A list of `MLModel` that meet the search criteria.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeMLModelsResult` `withNextToken(String nextToken)` The ID of the next page in the paginated results that indicates at least one more page follows.
`DescribeMLModelsResult` `withResults(Collection<MLModel> results)` A list of `MLModel` that meet the search criteria.
`DescribeMLModelsResult` `withResults(MLModel... results)` A list of `MLModel` that meet the search criteria.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeMLModelsResult

    public DescribeMLModelsResult()

### Method Detail

#### getResults

    public List<MLModel> getResults()

A list of `MLModel` that meet the search criteria.

Returns:
  A list of `MLModel` that meet the search criteria.

#### setResults

    public void setResults(Collection<MLModel> results)

A list of `MLModel` that meet the search criteria.

Parameters:
  `results` - A list of `MLModel` that meet the search criteria.

#### withResults

    public DescribeMLModelsResult withResults(MLModel... results)

A list of `MLModel` that meet the search criteria.

NOTE: This method appends the values to the existing list (if any). Use `setResults(java.util.Collection)` or `withResults(java.util.Collection)` if you want to override the existing values.

Parameters:
  `results` - A list of `MLModel` that meet the search criteria.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withResults

    public DescribeMLModelsResult withResults(Collection<MLModel> results)

A list of `MLModel` that meet the search criteria.

Parameters:
  `results` - A list of `MLModel` that meet the search criteria.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

The ID of the next page in the paginated results that indicates at least one more page follows.

Parameters:
  `nextToken` - The ID of the next page in the paginated results that indicates at least one more page follows.

#### getNextToken

    public String getNextToken()

The ID of the next page in the paginated results that indicates at least one more page follows.

Returns:
  The ID of the next page in the paginated results that indicates at least one more page follows.

#### withNextToken

    public DescribeMLModelsResult withNextToken(String nextToken)

The ID of the next page in the paginated results that indicates at least one more page follows.

Parameters:
  `nextToken` - The ID of the next page in the paginated results that indicates at least one more page follows.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeMLModelsResult clone()

Overrides:
  `clone` in class `Object`